// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AISS16AO2/driver/open.c $
// $Rev: 44435 $
// $Date: 2019-02-13 10:54:52 -0600 (Wed, 13 Feb 2019) $

// 16AISS16AO2: Device Driver: source file

#include "main.h"



//*****************************************************************************
int dev_open(dev_data_t* dev)
{
	int	ret;

	ret	= dev_io_open(dev);

	if (ret == 0)
		ret	= gsc_dma_open(dev, 0);

	if (ret == 0)
		ret	= gsc_irq_open(dev, 0);

	if (ret == 0)
		initialize_ioctl(dev, NULL);

	if (ret)
		dev_close(dev);

	return(ret);
}


