// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AISS16AO2/include/16aiss16ao2_dsl.h $
// $Rev: 52923 $
// $Date: 2023-04-20 15:40:25 -0500 (Thu, 20 Apr 2023) $

// 16AISS16AO2: Document Source Library: header file

#ifndef	__16AISS16AO2_DSL_H__
#define	__16AISS16AO2_DSL_H__

#include <stdlib.h>

#include "16aiss16ao2_api.h"



// prototypes *****************************************************************

int	aiss16ao2_close_dsl	(int fd);
int	aiss16ao2_init_dsl	(void);
int	aiss16ao2_ioctl_dsl	(int fd, int request, void *arg);
int	aiss16ao2_open_dsl	(int device, int share, int* fd);
int	aiss16ao2_read_dsl	(int fd, void* dst, size_t bytes, size_t* qty);
int	aiss16ao2_write_dsl	(int fd, const void* src, size_t bytes, size_t* qty);



#endif
